package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * The list of telephone number.
 */
@ApiModel(description = "The list of telephone number.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class TelephoneNumberWithStatusOpenApiVo   {
  @JsonProperty("phoneNumberId")
  private String phoneNumberId;

  @JsonProperty("profileId")
  private String profileId;

  @JsonProperty("profileName")
  private String profileName;

  @JsonProperty("prefix")
  private String prefix;

  @JsonProperty("number")
  private String number;

  @JsonProperty("status")
  private Integer status;

  public TelephoneNumberWithStatusOpenApiVo phoneNumberId(String phoneNumberId) {
    this.phoneNumberId = phoneNumberId;
    return this;
  }

  /**
   * The phoneNumber ID of telephone number.
   * @return phoneNumberId
  */
  @ApiModelProperty(value = "The phoneNumber ID of telephone number.")


  public String getPhoneNumberId() {
    return phoneNumberId;
  }

  public void setPhoneNumberId(String phoneNumberId) {
    this.phoneNumberId = phoneNumberId;
  }

  public TelephoneNumberWithStatusOpenApiVo profileId(String profileId) {
    this.profileId = profileId;
    return this;
  }

  /**
   * The profile ID of telephone number.
   * @return profileId
  */
  @ApiModelProperty(value = "The profile ID of telephone number.")


  public String getProfileId() {
    return profileId;
  }

  public void setProfileId(String profileId) {
    this.profileId = profileId;
  }

  public TelephoneNumberWithStatusOpenApiVo profileName(String profileName) {
    this.profileName = profileName;
    return this;
  }

  /**
   * The profile name of telephone number.
   * @return profileName
  */
  @ApiModelProperty(value = "The profile name of telephone number.")


  public String getProfileName() {
    return profileName;
  }

  public void setProfileName(String profileName) {
    this.profileName = profileName;
  }

  public TelephoneNumberWithStatusOpenApiVo prefix(String prefix) {
    this.prefix = prefix;
    return this;
  }

  /**
   * The prefix of telephone number.
   * @return prefix
  */
  @ApiModelProperty(value = "The prefix of telephone number.")


  public String getPrefix() {
    return prefix;
  }

  public void setPrefix(String prefix) {
    this.prefix = prefix;
  }

  public TelephoneNumberWithStatusOpenApiVo number(String number) {
    this.number = number;
    return this;
  }

  /**
   * The telephone number.
   * @return number
  */
  @ApiModelProperty(value = "The telephone number.")


  public String getNumber() {
    return number;
  }

  public void setNumber(String number) {
    this.number = number;
  }

  public TelephoneNumberWithStatusOpenApiVo status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * The status of telephone number.
   * @return status
  */
  @ApiModelProperty(value = "The status of telephone number.")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TelephoneNumberWithStatusOpenApiVo telephoneNumberWithStatusOpenApiVo = (TelephoneNumberWithStatusOpenApiVo) o;
    return Objects.equals(this.phoneNumberId, telephoneNumberWithStatusOpenApiVo.phoneNumberId) &&
        Objects.equals(this.profileId, telephoneNumberWithStatusOpenApiVo.profileId) &&
        Objects.equals(this.profileName, telephoneNumberWithStatusOpenApiVo.profileName) &&
        Objects.equals(this.prefix, telephoneNumberWithStatusOpenApiVo.prefix) &&
        Objects.equals(this.number, telephoneNumberWithStatusOpenApiVo.number) &&
        Objects.equals(this.status, telephoneNumberWithStatusOpenApiVo.status);
  }

  @Override
  public int hashCode() {
    return Objects.hash(phoneNumberId, profileId, profileName, prefix, number, status);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TelephoneNumberWithStatusOpenApiVo {\n");
    
    sb.append("    phoneNumberId: ").append(toIndentedString(phoneNumberId)).append("\n");
    sb.append("    profileId: ").append(toIndentedString(profileId)).append("\n");
    sb.append("    profileName: ").append(toIndentedString(profileName)).append("\n");
    sb.append("    prefix: ").append(toIndentedString(prefix)).append("\n");
    sb.append("    number: ").append(toIndentedString(number)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

